$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_0_152-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_0_152-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = 'c5b2e76792f74b55650f2356fed2f13e7ab4c361ad782457148c5001c0edeb4b'
  checksumType  = 'sha256'
  checksum64    = 'ffccc59a597d280cc01e3cd9eb57ec53b305558d8bcc4981601719d22bbb657d'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
